Bug 149659 - math/scilab crashing when run demos
math/scilab crashing when run demos
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
Depends on:
  Show dependency treegraph
Reported: 2010-08-15 04:40 UTC by otacilio.neto
Modified: 2010-09-04 13:40 UTC (History)
0 users

See Also:

file.txt (1019 bytes, text/plain)
2010-08-15 04:40 UTC, otacilio.neto
no flags Details
scilab-jogl-path.diff (2.00 KB, patch)
2010-08-19 07:25 UTC, rfarmer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description otacilio.neto 2010-08-15 04:40:01 UTC
I have compiled the port of Scilab in FreeBSD, and when I start te software it run ok. the problem occurs when I try execute the Scilabs demos-> Graphics the program crash.

 Then terminal shows a java exception about jogl.

Fix: I have added this two lines to /usr/local/share/scilab/etc/librarypath.xm

<path value="/usr/local/share/java/classes/"/>

<path value="/usr/local/lib/"/>

Patch attached with submission follows:
How-To-Repeat: try execute the Scilabs demos-> Graphics the program crash
Comment 1 rfarmer 2010-08-19 07:25:41 UTC
Thanks for fixing this issue. I've tweaked the solution slightly to
not hardcode /usr/local.

If gnats doesn't like my attachment, patch is at:

Rob Farmer
Comment 2 Max Brazhnikov freebsd_committer 2010-09-03 19:42:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 3 dfilter freebsd_committer 2010-09-04 13:32:04 UTC
makc        2010-09-04 12:31:51 UTC

  FreeBSD ports repository

  Modified files:
    math/scilab          Makefile distinfo pkg-plist 
  Added files:
    math/scilab/files    patch-etc-librarypath.xml 
  Use old version of jgraphx to fix build
  Fix crash when running demos [1]
  PR:             ports/149659 [1]
  Submitted by:   Otacílio de Araújo Ramos Neto <otacilio.neto at ee.ufcg.edu.br> [1], maintainer
  Approved by:    Rob Farmer (maintainer)
  Revision  Changes    Path
  1.70      +18 -5     ports/math/scilab/Makefile
  1.18      +3 -0      ports/math/scilab/distinfo
  1.1       +21 -0     ports/math/scilab/files/patch-etc-librarypath.xml (new)
  1.20      +1 -0      ports/math/scilab/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Brazhnikov freebsd_committer 2010-09-04 13:32:23 UTC
State Changed
From-To: open->closed

Committed. Thanks!